diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferencePredicate.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferencePredicate.java
new file mode 100644
index 0000000000..44a96d64e5
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferencePredicate.java
@@ -0,0 +1,73 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.metadata;
+
+import java.util.Set;
+import java.util.UUID;
+
+import eu.etaxonomy.cdm.model.common.EnumeratedTermVoc;
+import eu.etaxonomy.cdm.model.common.IEnumTerm;
+import eu.etaxonomy.cdm.model.common.Language;
+
+/**
+ * @author a.mueller
+ * @created 2013-09-09
+ *
+ */
+public enum PreferencePredicate  implements IEnumTerm<PreferencePredicate>{
+	NomenclaturalCode(UUID.fromString("39c5cb91-9370-4803-abf7-fa01e7dbe4e2"), "Nomenclatural Code", "NC"),
+	Test(UUID.fromString("b71214ab-2524-4b5d-8e2b-0581767ac839"), "Test", "Test")
+	;
+	
+	
+	private PreferencePredicate(UUID uuid, String defaultString, String key){
+		this(uuid, defaultString, key, null);
+	}
+	
+	private PreferencePredicate(UUID uuid, String defaultString, String key, PreferenceSubject parent){
+		delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, defaultString, key, parent);
+	}
+
+	// *************************** DELEGATE **************************************/	
+	
+	private static EnumeratedTermVoc<PreferencePredicate> delegateVoc;
+	private IEnumTerm<PreferencePredicate> delegateVocTerm;
+
+	static {
+		delegateVoc = EnumeratedTermVoc.getVoc(PreferencePredicate.class);
+	}
+	
+	@Override
+	public String getKey(){return delegateVocTerm.getKey();}
+	
+	@Override
+    public String getMessage(){return delegateVocTerm.getMessage();}
+
+	@Override
+    public String getMessage(Language language){return delegateVocTerm.getMessage(language);}
+
+		
+	@Override
+    public UUID getUuid() {return delegateVocTerm.getUuid();}
+
+	@Override
+    public PreferencePredicate getKindOf() {return delegateVocTerm.getKindOf();}
+	
+	@Override
+    public Set<PreferencePredicate> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
+
+	@Override
+	public boolean isKindOf(PreferencePredicate ancestor) {return delegateVocTerm.isKindOf(ancestor);	}
+
+	@Override
+    public Set<PreferencePredicate> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
+
+	public static PreferencePredicate getByKey(String key){return delegateVoc.getByKey(key);}
+    public static PreferencePredicate getByUuid(UUID uuid) {return delegateVoc.getByUuid(uuid);}
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubject.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubject.java
new file mode 100644
index 0000000000..87b3ff08cc
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubject.java
@@ -0,0 +1,70 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.metadata;
+
+import java.util.Set;
+import java.util.UUID;
+
+import eu.etaxonomy.cdm.model.common.EnumeratedTermVoc;
+import eu.etaxonomy.cdm.model.common.IEnumTerm;
+import eu.etaxonomy.cdm.model.common.Language;
+
+/**
+ * @author a.mueller
+ * @created 2013-09-09
+ *
+ */
+public enum PreferenceSubject implements IEnumTerm<PreferenceSubject>{
+	Database(UUID.fromString("50b25ae6-62fe-46a1-830e-545702e895f7"), "Database", "DB", null),
+	Classification(UUID.fromString("1e103ff5-c58f-4e40-8a60-6a36c32c08cf"),"Classification","CL", Database),
+	TaxonSubTree(UUID.fromString("2f2c0fd4-9c49-4584-89ba-53f8d201d37c"),"Taxonomic Subtree","TST", Classification)
+	;
+	
+	private PreferenceSubject(UUID uuid, String defaultString, String key, PreferenceSubject parent){
+		delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, defaultString, key, parent);
+	}
+
+	// *************************** DELEGATE **************************************/	
+	
+	private static EnumeratedTermVoc<PreferenceSubject> delegateVoc;
+	private IEnumTerm<PreferenceSubject> delegateVocTerm;
+
+	static {
+		delegateVoc = EnumeratedTermVoc.getVoc(PreferenceSubject.class);
+	}
+	
+	@Override
+	public String getKey(){return delegateVocTerm.getKey();}
+	
+	@Override
+    public String getMessage(){return delegateVocTerm.getMessage();}
+
+	@Override
+    public String getMessage(Language language){return delegateVocTerm.getMessage(language);}
+
+		
+	@Override
+    public UUID getUuid() {return delegateVocTerm.getUuid();}
+
+	@Override
+    public PreferenceSubject getKindOf() {return delegateVocTerm.getKindOf();}
+	
+	@Override
+    public Set<PreferenceSubject> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
+
+	@Override
+	public boolean isKindOf(PreferenceSubject ancestor) {return delegateVocTerm.isKindOf(ancestor);	}
+
+	@Override
+    public Set<PreferenceSubject> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
+
+	public static PreferenceSubject getByKey(String key){return delegateVoc.getByKey(key);}
+    public static PreferenceSubject getByUuid(UUID uuid) {return delegateVoc.getByUuid(uuid);}
+
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Amplification.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Amplification.java
new file mode 100644
index 0000000000..cb185423fe
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Amplification.java
@@ -0,0 +1,489 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.molecular;
+
+import java.util.HashSet;
+import java.util.Set;
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.ManyToOne;
+import javax.persistence.OneToMany;
+import javax.validation.constraints.Size;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlAttribute;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlElementWrapper;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
+
+import org.apache.log4j.Logger;
+import org.hibernate.annotations.Cascade;
+import org.hibernate.annotations.CascadeType;
+import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Analyze;
+import org.hibernate.search.annotations.Field;
+import org.hibernate.search.annotations.IndexedEmbedded;
+import org.hibernate.search.annotations.NumericField;
+
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.EventBase;
+import eu.etaxonomy.cdm.model.common.TermType;
+import eu.etaxonomy.cdm.model.media.Media;
+import eu.etaxonomy.cdm.model.occurrence.MaterialOrMethodEvent;
+
+/**
+ * The physical process of amplification (also called PCR) extracts and replicates parts of the DNA of
+ * a given {@link #getDnaSample() DNA Sample} . The part of the DNA being replicated is defined by the 
+ * {@link #getDnaMarker() marker} (also called locus) - implemented in CDM as a {@link DefinedTerm} 
+ * of term type {@link TermType#DnaMarker}. 
+ * <BR>To execute the replication {@link Primer primers} (short DNA fractions) are 
+ * used. They may work in both directions of the DNA part therefore we do have a
+ * {@link #getForwardPrimer() forward primer} and a {@link #getReversePrimer() reverse primer}.
+ * Most (or all?) amplifications require a {@link #getPurification() purification process}. Additionally 
+ * some use {@link #getCloning()} for replication. 
+ * <H3>Quality control</H3>
+ * <BR>For quality control the resulting product (PCR) is tested using a chromatographic method called 
+ * electrophoresis. The parameters (voltage, ladder used, running time, and gel concentration) used 
+ * for this electrophoresis as well as the resulting 
+ * {@link #getGelPhoto() photo} can also be stored in the amplification instance.
+ * <BR>The resulting PCR will later be used in a {@link SingleRead DNA sequence reading process}.
+ * The PCR itself is not persistent and therefore will not be stored in the CDM.
+ * This may change in future: http://dev.e-taxonomy.eu/trac/ticket/3717. 
+ * <BR>
+ * 
+ * @author a.mueller
+ * @created 2013-07-05
+ *
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "Amplification", propOrder = {
+	"dnaSample",
+	"dnaMarker",
+	"forwardPrimer",
+	"reversePrimer",
+	"purification",
+	"cloning",
+	"successful",
+	"successText",
+	"ladderUsed",
+	"electrophoresisVoltage",
+	"gelRunningTime",
+	"gelConcentration",
+	"gelPhoto",
+	"singleReads"
+})
+@XmlRootElement(name = "Amplification")
+@Entity
+@Audited
+public class Amplification extends EventBase implements Cloneable{
+	private static final long serialVersionUID = -8614860617229484621L;
+	private static final Logger logger = Logger.getLogger(Amplification.class);
+	
+	
+    /** @see #getDnaSample() */
+	@XmlElement( name = "DnaSample")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch = FetchType.LAZY)
+    @IndexedEmbedded
+    private DnaSample dnaSample;
+	
+    @XmlElementWrapper(name = "SingleReads")
+    @XmlElement(name = "SingleRead")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @OneToMany(fetch = FetchType.LAZY)
+    @Cascade({CascadeType.SAVE_UPDATE})
+	private Set<SingleRead> singleReads = new HashSet<SingleRead>();
+	
+    /** @see #getDnaMarker()*/
+    @XmlElement(name = "DnaMarker")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.EAGER)
+    private DefinedTerm dnaMarker;
+	
+    /** @see #getForwardPrimer() */
+    @XmlElement(name = "ForwardPrimer")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    @Cascade({CascadeType.SAVE_UPDATE})
+    private Primer forwardPrimer;
+	
+    /** @see #getReversePrimer()*/
+    @XmlElement(name = "ReversePrimer")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    @Cascade({CascadeType.SAVE_UPDATE})
+    private Primer reversePrimer;
+    
+    
+    @XmlElement(name = "Purification")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    @Cascade({CascadeType.SAVE_UPDATE})
+    private MaterialOrMethodEvent purification;
+    
+    @XmlElement(name = "Cloning")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    @Cascade({CascadeType.SAVE_UPDATE})
+    private Cloning cloning;
+    
+	
+    /** @see #getSuccessful() */
+    @XmlAttribute(name = "successful")
+    private Boolean successful;
+	
+    /** @see #getSuccessText() */
+    @XmlElement(name = "successText")
+	@Field
+	@Size(max=255)
+	private String successText;
+	
+    /** @see #getLadderUsed() */
+    @XmlElement(name = "ladderUsed")
+	@Field
+	@Size(max=255)
+	private String ladderUsed;
+    
+    /** @see #getElectrophoresisVoltage()*/
+	@XmlElement(name = "electrophoresisVoltage")
+	@Field(analyze = Analyze.NO)
+	@NumericField
+	private Double electrophoresisVoltage;
+	
+    /** @see #getGelRunningTime() */
+	@XmlElement(name = "gelRunningTime")
+	@Field(analyze = Analyze.NO)
+	@NumericField
+	private Double gelRunningTime;
+	
+    /** @see #getGelConcentration() */
+	@XmlElement(name = "gelConcentration")
+	@Field(analyze = Analyze.NO)
+	@NumericField
+	private Double gelConcentration;
+
+    @XmlElement(name = "GelPhoto")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    @Cascade({CascadeType.SAVE_UPDATE})
+	private Media gelPhoto;
+
+	
+// ********************* FACTORY METHODS ************************/	
+	
+	public static Amplification NewInstance(DnaSample dnaSample){
+		Amplification result = new Amplification();
+		dnaSample.addAmplification(result);
+		return result;
+	}
+	
+	
+// ******************* CONSTRUCTOR *******************************/	
+	
+	private Amplification(){}
+
+	
+//********************* GETTER / SETTER ************/	
+	
+
+	/**
+	 * The {@link DnaSample dna sample} which is the input for this {@link Amplification amplification}. 
+	 */
+	public DnaSample getDnaSample() {
+		return dnaSample;
+	}
+
+	/**
+	 * For use by DnaSample.addAmplification(ampl.) only. For now.
+	 * @see #getDnaSample()
+	 */
+	protected void setDnaSample(DnaSample dnaSample) {
+		this.dnaSample = dnaSample;
+	}
+	
+	/**
+	 * The {@link SingleRead single sequences} created by using this amplification's result (PCR).
+	 */
+	public Set<SingleRead> getSingleReads() {
+		return singleReads;
+	}
+
+	public void addSingleRead(SingleRead singleRead){
+		if (singleRead.getAmplification() != null){
+			singleRead.getAmplification().singleReads.remove(singleRead);
+		}
+		this.singleReads.add(singleRead);
+		singleRead.setAmplification(this);
+	}
+	
+	/**
+	 * @see #getSingleReads()
+	 */
+	//TODO private until it is clear how bidirectionality is handled
+	private void setSingleReads(Set<SingleRead> singleReads) {
+		this.singleReads = singleReads;
+	}
+
+
+	/**
+	 * The {@link TermType#DnaMarker DNA marker} used for this amplification.
+	 * The DNA marker also defines the part (locality) of the DNA/RNA examined.
+	 * It may also be called <i>locus</i> 
+	 */
+	public DefinedTerm getDnaMarker() {
+		return dnaMarker;
+	}
+
+	/**
+	 * @see #getDnaMarker()
+	 */
+	public void setDnaMarker(DefinedTerm marker) {
+		this.dnaMarker = marker;
+	}
+
+	/**
+	 * The primer used for forward amplification.
+	 * @see #getReversePrimer()
+	 */
+	public Primer getForwardPrimer() {
+		return forwardPrimer;
+	}
+
+	/**
+	 * @see #getForwardPrimer()
+	 * @see #getReversePrimer()
+	 */
+	public void setForwardPrimer(Primer forwardPrimer) {
+		this.forwardPrimer = forwardPrimer;
+	}
+
+	/**
+	 * The primer used for reverse amplification.
+	 * @see #getForwardPrimer()
+	 */
+	public Primer getReversePrimer() {
+		return reversePrimer;
+	}
+
+	/**
+	 * @see #getReversePrimer()
+	 * @see #getForwardPrimer()
+	 */
+	public void setReversePrimer(Primer reversePrimer) {
+		this.reversePrimer = reversePrimer;
+	}
+
+	/**
+	 * Information if this amplification was successful or not. Success may be defined
+	 * by the results of the electrophoresis.
+	 * 
+	 * @see #getSuccessText()
+	 */
+	public Boolean getSuccessful() {
+		return successful;
+	}
+
+	/**
+	 * @see #getSuccessful()
+	 * @see #getSuccessText()
+	 */
+	public void setSuccessful(Boolean successful) {
+		this.successful = successful;
+	}
+
+	/**
+	 * Freetext about the success of this amplification explaining
+	 * in detail why it is concidered to be successful/unsucessful
+	 * 
+	 * @see #getSuccessful()
+	 */
+	public String getSuccessText() {
+		return successText;
+	}
+
+	/**
+	 * @see #getSuccessText()
+	 * @see #getSuccessful()
+	 */
+	public void setSuccessText(String successText) {
+		this.successText = successText;
+	}
+	
+
+	/**
+	 * The material and/or method used for purification.
+	 */
+	public MaterialOrMethodEvent getPurification() {
+		return purification;
+	}
+
+	/**
+	 * @see #getPurification()
+	 */
+	public void setPurification(MaterialOrMethodEvent purification) {
+		this.purification = purification;
+	}
+	
+
+	/**
+	 * The {@link Cloning cloning process} involved in this amplification.
+	 */
+	public Cloning getCloning() {
+		return cloning;
+	}
+
+	/**
+	 * @see #getCloning()
+	 */
+	public void setCloning(Cloning cloning) {
+		this.cloning = cloning;
+	}
+
+	/**
+	 * The voltage used for running the electrophoresis quality check.
+	 * Base unit is voltage [V].
+	 * @see #getGelRunningTime()
+	 * @see #getGelPhoto()
+	 * @see #getLadderUsed()
+	 * @see #getGelConcentration()
+
+	 */
+	public Double getElectrophoresisVoltage() {
+		return electrophoresisVoltage;
+	}
+
+	/**
+	 * @see #getElectrophoresisVoltage()
+	 */
+	public void setElectrophoresisVoltage(Double electrophoresisVoltage) {
+		this.electrophoresisVoltage = electrophoresisVoltage;
+	}
+
+	/**
+	 * The time for running the electrophoresis quality check.
+	 * Base unit is minutes [min]. 
+	 */
+	public Double getGelRunningTime() {
+		return gelRunningTime;
+	}
+
+	/**
+	 * @see #getGelRunningTime()
+	 */
+	public void setGelRunningTime(Double gelRunningTime) {
+		this.gelRunningTime = gelRunningTime;
+	}
+
+
+	/**
+	 * The gel concentration used for the electrophoresis.
+	 * Base unit is [%] 
+	 * @see #getElectrophoresisVoltage()
+	 * @see #getGelRunningTime()
+	 * @see #getGelPhoto()
+	 * @see #getLadderUsed()
+	 */
+	public Double getGelConcentration() {
+		return gelConcentration;
+	}
+
+	/**
+	 * @see #getGelConcentration()
+	 */
+	public void setGelConcentration(Double gelConcentration) {
+		this.gelConcentration = gelConcentration;
+	}
+
+	/**
+	 * Material and method used for testing quality of this amplification.
+	 * @see #getElectrophoresisVoltage()
+	 * @see #getGelPhoto()
+	 * @see #getGelConcentration()
+	 * @see #getGelRunningTime()
+	 */
+	public String getLadderUsed() {
+		return ladderUsed;
+	}
+
+	/**
+	 * @see #getLadderUsed()
+	 */
+	public void setLadderUsed(String ladderUsed) {
+		this.ladderUsed = ladderUsed;
+	}
+
+	/**
+	 * The photo taken from the electrophoresis result showing the quality of the amplification.
+	 * Gelphotos often do show multiple electrophoresis results. One may either cut or mark 
+	 * the part of the photo that displays <code>this</code> amplification. However, this may make
+	 * the concrete media file unusable for other amplifications also represented by the same image.
+	 * @see #getElectrophoresisVoltage()
+	 * @see #getLadderUsed()
+	 * @see #getGelConcentration()
+	 * @see #getGelRunningTime()
+	 */
+	public Media getGelPhoto() {
+		return gelPhoto;
+	}
+
+
+	/**
+	 * @param gelPhoto the gelPhoto to set
+	 */
+	public void setGelPhoto(Media gelPhoto) {
+		this.gelPhoto = gelPhoto;
+	}
+
+
+	// ********************** CLONE ***********************************/
+	/** 
+	 * Clones <i>this</i> amplification. This is a shortcut that enables to create
+	 * a new instance that differs only slightly from <i>this</i> amplification by
+	 * modifying only some of the attributes.<BR><BR>
+	 * 
+	 *  
+	 * @see EventBase#clone()
+	 * @see java.lang.Object#clone()
+	 */
+	@Override
+	public Object clone()  {
+		try{
+			Amplification result = (Amplification)super.clone();
+			
+			result.singleReads = new HashSet<SingleRead>();
+			for (SingleRead seq: this.singleReads){
+				result.singleReads.add((SingleRead) seq);
+			
+			}
+			
+			//don't change dnaSample, marker, successful, successText, forwardPrimer,
+			//reversePrimer, purifiaction, cloning, ladderUsed, electrophoresisVoltage,
+			//gelRunningTime, gelPhoto, gelConcentration
+			return result;
+		}catch (CloneNotSupportedException e) {
+			logger.warn("Object does not implement cloneable");
+			e.printStackTrace();
+			return null;
+		}
+	}
+	
+	
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Cloning.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Cloning.java
new file mode 100644
index 0000000000..2aac200e81
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Cloning.java
@@ -0,0 +1,156 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.molecular;
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.ManyToOne;
+import javax.validation.constraints.Size;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
+
+import org.apache.log4j.Logger;
+import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Field;
+
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.EventBase;
+import eu.etaxonomy.cdm.model.occurrence.MaterialOrMethodEvent;
+
+/**
+ * Cloning is a method used in {@link Amplification DNA amplification} for multiplying the base
+ * material. Various cloning methods exist. Classical cloning methods use bacteria for cloning
+ * while the latest approaches use other techniques.
+ *  
+ * @author a.mueller
+ * @created 2013-07-11
+ *
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "Cloning", propOrder = {
+	"strain",
+	"forwardPrimer",
+	"reversePrimer"
+})
+@XmlRootElement(name = "Cloning")
+@Entity
+@Audited
+public class Cloning extends MaterialOrMethodEvent implements Cloneable{
+	private static final long serialVersionUID = 6179007910988646989L;
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(Cloning.class);
+	
+	/** @see #getStrain() */
+    @XmlElement(name = "strain")
+	@Field
+	@Size(max=100)
+	private String strain;
+	
+    /** @see #getForwardPrimer() */
+    @XmlElement(name = "ForwardPrimer")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    private Primer forwardPrimer;
+	
+    /** @see #getReversePrimer()*/
+    @XmlElement(name = "ReversePrimer")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    private Primer reversePrimer;
+	
+	
+// ******************** FACTORY METHOD ******************/	
+	
+    public static Cloning NewInstance(){
+    	return new Cloning();
+    }
+    
+    public static Cloning NewInstance(DefinedTerm definedMaterialOrMethod, String methodText, String strain, Primer forwardPrimer, Primer reversePrimer){
+    	return new Cloning(definedMaterialOrMethod, methodText, strain, forwardPrimer, reversePrimer);
+    } 
+    
+// ********************* CONSTRUCTOR ********************/
+    
+    private Cloning(){};
+
+    private Cloning(DefinedTerm definedMaterialOrMethod, String methodText, String strain, Primer forwardPrimer, Primer reversePrimer){
+    	super(definedMaterialOrMethod, methodText);
+    	this.strain = strain;
+    	this.forwardPrimer = forwardPrimer;
+    	this.reversePrimer = reversePrimer;
+    }
+	
+// ********************* GETTER / SETTER ********************/
+	
+
+	/**
+	 * The primer used for forward cloning.
+	 * @see #getReversePrimer()
+	 */
+	public Primer getForwardPrimer() {
+		return forwardPrimer;
+	}
+
+	/**
+	 * @see #getForwardPrimer()
+	 * @see #getReversePrimer()
+	 */
+	public void setForwardPrimer(Primer forwardPrimer) {
+		this.forwardPrimer = forwardPrimer;
+	}
+
+	/**
+	 * The primer used for reverse cloning.
+	 * @see #getForwardPrimer()
+	 */
+	public Primer getReversePrimer() {
+		return reversePrimer;
+	}
+
+	/**
+	 * @see #getReversePrimer()
+	 * @see #getForwardPrimer()
+	 */
+	public void setReversePrimer(Primer reversePrimer) {
+		this.reversePrimer = reversePrimer;
+	}
+
+	public String getStrain() {
+		return strain;
+	}
+
+	public void setStrain(String strain) {
+		this.strain = strain;
+	}
+	
+// ********************* CLONE ********************/
+	/** 
+	 * Clones <i>this</i> {@link Cloning}. This is a shortcut that enables to create
+	 * a new instance that differs only slightly from <i>this</i> cloning by
+	 * modifying only some of the attributes.<BR><BR>
+	 * 
+	 *  
+	 * @see EventBase#clone()
+	 * @see java.lang.Object#clone()
+	 */
+	@Override
+	public Object clone()  {
+		Cloning result = (Cloning)super.clone();
+			
+		//don't change strain, forwardPrimer, backwardPrimer
+		return result;
+	}
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/DnaSample.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/DnaSample.java
index fe11c1b4dd..723fca0fd7 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/DnaSample.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/DnaSample.java
@@ -17,6 +17,7 @@ import javax.persistence.Entity;
 import javax.persistence.FetchType;
 import javax.persistence.OneToMany;
 import javax.persistence.Transient;
+import javax.validation.constraints.NotNull;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
@@ -30,32 +31,40 @@ import org.apache.log4j.Logger;
 import org.hibernate.annotations.Cascade;
 import org.hibernate.annotations.CascadeType;
 import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.ContainedIn;
 import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.cdm.strategy.cache.common.IdentifiableEntityDefaultCacheStrategy;
 
 /**
+ * A DNA Sample is the extracted DNA of a given tissue sample. It may be stored in
+ * a DNA Bank and should then be handled as a collection unit.
+ * DNA Sample are used to determine their {@link Sequence DNA sequences}
+ * starting with a process called {@link Amplification amplification}.
+ *  
  * @author m.doering
- * @version 1.0
- * @created 08-Nov-2007 13:06:22
+ * @created 08-Nov-2007
  */
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "DnaSample", propOrder = {
-    "sequences"
+    "sequences",
+    "amplifications"
 })
 @XmlRootElement(name = "DnaSample")
 @Entity
 @Indexed(index = "eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase")
 @Audited
-public class DnaSample extends Specimen implements Cloneable {
+public class DnaSample extends DerivedUnit implements Cloneable {
 	private static final long serialVersionUID = -2978411330023671805L;
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(DnaSample.class);
 	
+// ****************** FACTORY METHOD *****************/
+	
 	/**
 	 * Factory method
 	 * @return
@@ -64,6 +73,7 @@ public class DnaSample extends Specimen implements Cloneable {
 		return new DnaSample();
 	}
 
+// ************** ATTRIBUTES ****************************/	
 	
 //	@XmlElement(name = "BankNumber")
 //	private String bankNumber;
@@ -77,29 +87,56 @@ public class DnaSample extends Specimen implements Cloneable {
     private Set<Sequence> sequences = new HashSet<Sequence>();
 
 	
+	@XmlElementWrapper(name = "Amplifications")
+	@XmlElement(name = "Amplification")
+	@OneToMany(mappedBy="dnaSample", fetch = FetchType.LAZY)
+	@Cascade( { CascadeType.SAVE_UPDATE, CascadeType.DELETE})
+    @ContainedIn
+    @NotNull
+	private Set<Amplification> amplifications = new HashSet<Amplification>();
+
+
+// ******************* CONSTRUCTOR *************************/
 	
 	/**
 	 * Constructor
 	 */
 	private DnaSample() {
-		super();
-		this.cacheStrategy = new IdentifiableEntityDefaultCacheStrategy<Specimen>();
+		super(SpecimenOrObservationType.PreservedSpecimen);
+		this.cacheStrategy = new IdentifiableEntityDefaultCacheStrategy<DerivedUnit>();
 	}
 	
+//************ GETTER / SETTER  **********************************/	
+
+	//sequencings
 	public Set<Sequence> getSequences() {
 		return sequences;
 	}
 
-	// FIXME shouldn't this be the singular? i.e. addSequence( . . . )
-	public void addSequences(Sequence sequence) {
+	public void addSequence(Sequence sequence) {
 		this.sequences.add(sequence);
 	}
 
-	// FIXME shouldn't this be the singular? i.e. removeSequence( . . . )
-	public void removeSequences(Sequence sequence) {
+	public void removeSequence(Sequence sequence) {
 		this.sequences.remove(sequence);
 	}
+	
+	//amplifications
+	public Set<Amplification> getAmplifications() {
+		return amplifications;
+	}
 
+	public void addAmplification(Amplification amplification) {
+		this.amplifications.add(amplification);
+		amplification.setDnaSample(this);
+	}
+
+	public void removeAmplification(Amplification amplification) {
+		this.amplifications.remove(amplification);
+	}
+
+// ************* Convenience Getter / Setter ************/
+	
 	@Transient
 	public Collection getStoredAt(){
 		return this.getCollection();
@@ -131,19 +168,20 @@ public class DnaSample extends Specimen implements Cloneable {
 	 * create a new instance that differs only slightly from <i>this</i> dna sample
 	 * by modifying only some of the attributes.<BR>
 	 * This method overrides the clone method from {@link Specimen Specimen}.
+	 * @throws CloneNotSupportedException 
 	 * 
 	 * @see Specimen#clone()
-	 * @see DerivedUnitBase#clone()
+	 * @see DerivedUnit#clone()
 	 * @see eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity#clone()
 	 * @see java.lang.Object#clone()
 	 */
 	@Override
-	public DnaSample clone(){
+	public DnaSample clone() {
 		DnaSample result = (DnaSample)super.clone();
 		//sequenceSet
 		result.sequences = new HashSet<Sequence>();
 		for(Sequence sequence : this.sequences) {
-			result.addSequences(sequence);
+			result.addSequence(sequence);
 		}
 		//no changes to: bankNumber
 		return result;
